MyGUI: MyGUI::DynLibManager Class Reference

MyGUI 3.4.3

Public Member Functions | Static Public Member Functions
MyGUI::DynLibManager Class Reference

Manager of dynamic libraries. More...

`#include <MyGUI_DynLibManager.h>`

## Public Member Functions
| DynLibManager (const DynLibManager &)=delete
DynLibManager & | operator= (const DynLibManager &)=delete
| DynLibManager ()
void | initialise ()
void | shutdown ()
DynLib * | load (std::string_view fileName)
| Load library.
void | unload (DynLib *library)
| Unload library.
void | unloadAll ()
void | _unloadDelayDynLibs ()

## Static Public Member Functions
static DynLibManager & | getInstance ()
static DynLibManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Manager of dynamic libraries.

Definition at line 20 of file MyGUI_DynLibManager.h.

## Constructor & Destructor Documentation

## ◆ DynLibManager() [1/2]

MyGUI::DynLibManager::DynLibManager | ( | const DynLibManager & |  | ) |
| delete

## ◆ DynLibManager() [2/2]

MyGUI::DynLibManager::DynLibManager | ( |  | ) |

Definition at line 17 of file MyGUI_DynLibManager.cpp.

## Member Function Documentation

## ◆ _unloadDelayDynLibs()

void MyGUI::DynLibManager::_unloadDelayDynLibs | ( |  | ) |

Definition at line 93 of file MyGUI_DynLibManager.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::DynLibManager::getClassTypeName | ( |  | ) |
| static

## ◆ getInstance()

DynLibManager & MyGUI::DynLibManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

DynLibManager * MyGUI::DynLibManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::DynLibManager::initialise | ( |  | ) |

Definition at line 22 of file MyGUI_DynLibManager.cpp.

## ◆ load()

DynLib * MyGUI::DynLibManager::load | ( | std::string_view | fileName | ) |

Load library.

Definition at line 47 of file MyGUI_DynLibManager.cpp.

## ◆ operator=()

DynLibManager & MyGUI::DynLibManager::operator= | ( | const DynLibManager & |  | ) |
| delete

## ◆ shutdown()

void MyGUI::DynLibManager::shutdown | ( |  | ) |

Definition at line 33 of file MyGUI_DynLibManager.cpp.

## ◆ unload()

void MyGUI::DynLibManager::unload | ( | DynLib * | library | ) |

Unload library.

Definition at line 67 of file MyGUI_DynLibManager.cpp.

## ◆ unloadAll()

void MyGUI::DynLibManager::unloadAll | ( |  | ) |

Definition at line 77 of file MyGUI_DynLibManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_DynLibManager.h
- MyGUI_DynLibManager.cpp